=== debian/changelog ===
war1gus (3.3.2-1) focal; urgency=medium

  [ Tim Felgentreff ]
  * Only engine changes

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 10 Aug 2022 20:16:39 +0200

war1gus (3.3.1-1) focal; urgency=medium

  [ Tim Felgentreff ]
  * Only engine changes

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Sun, 31 Jul 2022 11:47:03 +0200

war1gus (3.3.0-1) focal; urgency=medium

  [ Lagi7 ]
  * change wood and gold position in UI top bar
  * default scroll speed increase
  * increase worker time inside goldmine
  * balancing after game with TaShadan

  [ Tim Felgentreff ]
  * when reloading buttons and buildings while rebalancing is active, also reload rebalancing script
  * use password field for online password
  * restart immediately on balancing changes
  * update caption when downloading map data
  * refresh chat on events
  * add orc watch tower
  * add townhall salvage button
  * update watch tower construction graphic
  * add kennel/stable upgrades

  [ Lagi7 ]
  * Delete orc-watch-tower-UC.png
  * Delete orc-watch-tower-icon-forest.png
  * Delete orc-watch-tower-icon-swamp.png
  * Delete orc-watch-tower.png
  * Create buildings
  * Delete buildings
  * Create dm
  * Add files via upload
  * Delete dm
  * Add files via upload
  * Delete human-barding-stable.png
  * Delete human-barding-stable1.png
  * Delete salvage-th-human.png
  * Add files via upload
  * Delete orc-saliva-kennel.png
  * Delete orc-saliva-kennel2.png
  * Delete salvage-th-orc.png
  * Add files via upload
  * balancing lua to use the new graphics
  * more space between stats in unit description
  * there is no attack ground in vanilla warcraft1
  * there is no attack ground in vanilla warcraft1 part 2 for orc
  * longer projectile effects

  [ Tim Felgentreff ]
  * collect tileset change callbacks into a function list for modding

  [ Lagi7 ]
  * enable catapult attack ground
  * remove blacksmith requirment from Knights/Riders
  * add Play intro option to menu - part1/2
  * add Play intro option to menu - part2/2
  * elemental blast attack 1/2
  * elemental blast 2/2

  [ Tim Felgentreff ]
  * fix play intro select

  [ Lagi7 ]
  * new icons
  * new orc icons
  * cat
  * cat
  * draw effect on top of units, slow projectile
  * mana balance, AoE more deadly
  * balance and stufff
  * map fix
  * map fix
  * dont work
  * dont work
  * dont work
  * spell keys adjust
  * spell key adjust
  * change default preferences
  * put dungeons map into folder - to not clutter list
  * click
  * click
  * graphic click
  * web for spiders
  * web missile code
  * spider shooting webs

  [ Tim Felgentreff ]
  * set ascii only codepage

  [ Lagi7 ]
  * fix unholy button  clash

  [ Tim Felgentreff ]
  * refactor how we do speed

  [ Lagi7 ]
  * fix path
  * stop droping wood

  [ Tim Felgentreff ]
  * refactored move animation

  [ Lagi7 ]
  * speed adjust 1
  * speed adjust 2
  * speed adjust 3
  * speed adjust 2
  * speed adjust 4
  * faster click animation & spell effects definition
  * spell-skill for spiders to slow down
  * decoration for web skill
  * button for spider web skill
  * spider web skill

  [ Tim Felgentreff ]
  * use animated sprite for unholy armor
  * add invisibility deco
  * add poison (but no way to do it)

  [ Lagi7 ]
  * icons for spider and scorpion skills
  * poison 1
  * poison 2
  * poison 3
  * poison 4
  * green web

  [ Tim Felgentreff ]
  * add first town hall with fast build and less supply
  * attempt fix for "first town hall" change

  [ Lagi7 ]
  * safety wood check for salvage
  * web icon not display - typo
  * food icon
  * code for food display

  [ Tim Felgentreff ]
  * no wounds on buildings

  [ Lagi7 ]
  * blood sprites
  * bleeding missiles
  * bleeding
  * impact blood
  * spell balance - little cost upgrade for summons, shorter Unholy armor
  * not organic catapults
  * lets disable wound icons

  [ Tim Felgentreff ]
  * formatting
  * another idea for wounded deco

  [ Lagi7 ]
  * bleed when moving
  * bleeding walk
  * bleeding when unit move
  * building upgrades
  * build upgr
  * upgrades building and cat speed
  * reduce spiders spell web range
  * brackets
  * fix towersbenefit from aroows upgr
  * add tim map with 5x more gold in starting mines

  [ Tim Felgentreff ]
  * override preference to indicate damage

  [ Lagi7 ]
  * bleeding animation frequence
  * Rearange the help list, and add some tips
  * poison cloud animation to last longer
  * adjust wizards area spells
  * idle workers counter
  * faster by 2 points archer and spearman attack
  * archer 1 point faster only

  [ Tim Felgentreff ]
  * fix a bunch of multiplayer menu problems
  * updates for editor help and randomize map feature
  * add a random skirmish option
  * use some fancy scripting to get better random maps
  * nicer free workers icon

  [ Lagi7 ]
  * adjust idle worker position
  * more expensive town hall and longer build time
  * upgrade salavage safety switch
  * town hall further away from gold mine
  * Twist random generator arguments
  * 5x starting workers for random scenario
  * starting resource, and 5 workers
  * rename option
  * magma rift
  * slime pond structure
  * windmill
  * ruined house
  * icons
  * dungeon entrance icon
  * 4x neutral buildings
  * new buildings + organise the icons
  * fix dungeon entrance issue in editor
  * modify solo scenario menu sizes and text position
  * random tiles set
  * background to stone
  * txt adjust
  * remove copies of dunegeon maps
  * dungeon entrance 2x3
  * 2x3 dungeon entrance
  * collapse entrance lua
  * collapsed dungeon entrance
  * default wood inside dungeon entrance
  * add dungeon map with working dungeon entrances
  * from start access to barrack
  * stable need blacksmith
  * balance
  * unholy armor more mana
  * add new upgrades and tower for AI script
  * faster tech, use towers
  * fix
  * ffix
  * 4fix
  * entry23
  * e23

  [ Tim Felgentreff ]
  * don't allow diagonal road connections

